source: squid-ssl/trunk/fuentes/src/adaptation/icap/Makefile.in @ 5496

Last change on this file since 5496 was 5496, checked in by Juanma, 23 months ago

Initial release

File size: 39.9 KB
RevLine 
[5495]1# Makefile.in generated by automake 1.15 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17VPATH = @srcdir@
18am__is_gnu_make = { \
19  if test -z '$(MAKELEVEL)'; then \
20    false; \
21  elif test -n '$(MAKE_HOST)'; then \
22    true; \
23  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
24    true; \
25  else \
26    false; \
27  fi; \
28}
29am__make_running_with_option = \
30  case $${target_option-} in \
31      ?) ;; \
32      *) echo "am__make_running_with_option: internal error: invalid" \
33              "target option '$${target_option-}' specified" >&2; \
34         exit 1;; \
35  esac; \
36  has_opt=no; \
37  sane_makeflags=$$MAKEFLAGS; \
38  if $(am__is_gnu_make); then \
39    sane_makeflags=$$MFLAGS; \
40  else \
41    case $$MAKEFLAGS in \
42      *\\[\ \   ]*) \
43        bs=\\; \
44        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
45          | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
46    esac; \
47  fi; \
48  skip_next=no; \
49  strip_trailopt () \
50  { \
51    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
52  }; \
53  for flg in $$sane_makeflags; do \
54    test $$skip_next = yes && { skip_next=no; continue; }; \
55    case $$flg in \
56      *=*|--*) continue;; \
57        -*I) strip_trailopt 'I'; skip_next=yes;; \
58      -*I?*) strip_trailopt 'I';; \
59        -*O) strip_trailopt 'O'; skip_next=yes;; \
60      -*O?*) strip_trailopt 'O';; \
61        -*l) strip_trailopt 'l'; skip_next=yes;; \
62      -*l?*) strip_trailopt 'l';; \
63      -[dEDm]) skip_next=yes;; \
64      -[JT]) skip_next=yes;; \
65    esac; \
66    case $$flg in \
67      *$$target_option*) has_opt=yes; break;; \
68    esac; \
69  done; \
70  test $$has_opt = yes
71am__make_dryrun = (target_option=n; $(am__make_running_with_option))
72am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
73pkgdatadir = $(datadir)/@PACKAGE@
74pkgincludedir = $(includedir)/@PACKAGE@
75pkglibdir = $(libdir)/@PACKAGE@
76pkglibexecdir = $(libexecdir)/@PACKAGE@
77am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
78install_sh_DATA = $(install_sh) -c -m 644
79install_sh_PROGRAM = $(install_sh) -c
80install_sh_SCRIPT = $(install_sh) -c
81INSTALL_HEADER = $(INSTALL_DATA)
82transform = $(program_transform_name)
83NORMAL_INSTALL = :
84PRE_INSTALL = :
85POST_INSTALL = :
86NORMAL_UNINSTALL = :
87PRE_UNINSTALL = :
88POST_UNINSTALL = :
89build_triplet = @build@
90host_triplet = @host@
91check_PROGRAMS =
92@ENABLE_LOADABLE_MODULES_TRUE@am__append_1 = $(INCLTDL)
93subdir = src/adaptation/icap
94ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
95am__aclocal_m4_deps = $(top_srcdir)/acinclude/ax_with_prog.m4 \
96        $(top_srcdir)/acinclude/init.m4 \
97        $(top_srcdir)/acinclude/squid-util.m4 \
98        $(top_srcdir)/acinclude/compiler-flags.m4 \
99        $(top_srcdir)/acinclude/os-deps.m4 \
100        $(top_srcdir)/acinclude/krb5.m4 $(top_srcdir)/acinclude/pam.m4 \
101        $(top_srcdir)/acinclude/pkg.m4 \
102        $(top_srcdir)/acinclude/lib-checks.m4 \
103        $(top_srcdir)/acinclude/ax_cxx_compile_stdcxx_11.m4 \
104        $(top_srcdir)/acinclude/ax_cxx_0x_types.m4 \
105        $(top_srcdir)/helpers/basic_auth/modules.m4 \
106        $(top_srcdir)/helpers/basic_auth/DB/required.m4 \
107        $(top_srcdir)/helpers/basic_auth/LDAP/required.m4 \
108        $(top_srcdir)/helpers/basic_auth/MSNT-multi-domain/required.m4 \
109        $(top_srcdir)/helpers/basic_auth/NCSA/required.m4 \
110        $(top_srcdir)/helpers/basic_auth/NIS/required.m4 \
111        $(top_srcdir)/helpers/basic_auth/PAM/required.m4 \
112        $(top_srcdir)/helpers/basic_auth/POP3/required.m4 \
113        $(top_srcdir)/helpers/basic_auth/RADIUS/required.m4 \
114        $(top_srcdir)/helpers/basic_auth/SASL/required.m4 \
115        $(top_srcdir)/helpers/basic_auth/SMB/required.m4 \
116        $(top_srcdir)/helpers/basic_auth/SMB_LM/required.m4 \
117        $(top_srcdir)/helpers/basic_auth/SSPI/required.m4 \
118        $(top_srcdir)/helpers/basic_auth/fake/required.m4 \
119        $(top_srcdir)/helpers/basic_auth/getpwnam/required.m4 \
120        $(top_srcdir)/helpers/digest_auth/modules.m4 \
121        $(top_srcdir)/helpers/digest_auth/LDAP/required.m4 \
122        $(top_srcdir)/helpers/digest_auth/eDirectory/required.m4 \
123        $(top_srcdir)/helpers/digest_auth/file/required.m4 \
124        $(top_srcdir)/helpers/negotiate_auth/modules.m4 \
125        $(top_srcdir)/helpers/negotiate_auth/SSPI/required.m4 \
126        $(top_srcdir)/helpers/negotiate_auth/kerberos/required.m4 \
127        $(top_srcdir)/helpers/negotiate_auth/wrapper/required.m4 \
128        $(top_srcdir)/helpers/ntlm_auth/modules.m4 \
129        $(top_srcdir)/helpers/ntlm_auth/fake/required.m4 \
130        $(top_srcdir)/helpers/ntlm_auth/SSPI/required.m4 \
131        $(top_srcdir)/helpers/ntlm_auth/smb_lm/required.m4 \
132        $(top_srcdir)/helpers/log_daemon/modules.m4 \
133        $(top_srcdir)/helpers/log_daemon/DB/required.m4 \
134        $(top_srcdir)/helpers/log_daemon/file/required.m4 \
135        $(top_srcdir)/helpers/external_acl/modules.m4 \
136        $(top_srcdir)/helpers/external_acl/AD_group/required.m4 \
137        $(top_srcdir)/helpers/external_acl/LDAP_group/required.m4 \
138        $(top_srcdir)/helpers/external_acl/LM_group/required.m4 \
139        $(top_srcdir)/helpers/external_acl/delayer/required.m4 \
140        $(top_srcdir)/helpers/external_acl/SQL_session/required.m4 \
141        $(top_srcdir)/helpers/external_acl/eDirectory_userip/required.m4 \
142        $(top_srcdir)/helpers/external_acl/file_userip/required.m4 \
143        $(top_srcdir)/helpers/external_acl/kerberos_ldap_group/required.m4 \
144        $(top_srcdir)/helpers/external_acl/session/required.m4 \
145        $(top_srcdir)/helpers/external_acl/time_quota/required.m4 \
146        $(top_srcdir)/helpers/external_acl/unix_group/required.m4 \
147        $(top_srcdir)/helpers/external_acl/wbinfo_group/required.m4 \
148        $(top_srcdir)/helpers/url_rewrite/modules.m4 \
149        $(top_srcdir)/helpers/url_rewrite/fake/required.m4 \
150        $(top_srcdir)/helpers/storeid_rewrite/modules.m4 \
151        $(top_srcdir)/helpers/storeid_rewrite/file/required.m4 \
152        $(top_srcdir)/configure.ac
153am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
154        $(ACLOCAL_M4)
155DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
156mkinstalldirs = $(install_sh) -d
157CONFIG_HEADER = $(top_builddir)/include/autoconf.h
158CONFIG_CLEAN_FILES =
159CONFIG_CLEAN_VPATH_FILES =
160LTLIBRARIES = $(noinst_LTLIBRARIES)
161libicap_la_LIBADD =
162am_libicap_la_OBJECTS = Client.lo Config.lo Elements.lo Options.lo \
163        ServiceRep.lo Launcher.lo OptXact.lo Xaction.lo ModXact.lo \
164        icap_log.lo History.lo
165libicap_la_OBJECTS = $(am_libicap_la_OBJECTS)
166AM_V_lt = $(am__v_lt_@AM_V@)
167am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
168am__v_lt_0 = --silent
169am__v_lt_1 =
170AM_V_P = $(am__v_P_@AM_V@)
171am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
172am__v_P_0 = false
173am__v_P_1 = :
174AM_V_GEN = $(am__v_GEN_@AM_V@)
175am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
176am__v_GEN_0 = @echo "  GEN     " $@;
177am__v_GEN_1 =
178AM_V_at = $(am__v_at_@AM_V@)
179am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
180am__v_at_0 = @
181am__v_at_1 =
182DEFAULT_INCLUDES =
183depcomp = $(SHELL) $(top_srcdir)/cfgaux/depcomp
184am__depfiles_maybe = depfiles
185am__mv = mv -f
186CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
187        $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
188LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
189        $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
190        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
191        $(AM_CXXFLAGS) $(CXXFLAGS)
192AM_V_CXX = $(am__v_CXX_@AM_V@)
193am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
194am__v_CXX_0 = @echo "  CXX     " $@;
195am__v_CXX_1 =
196CXXLD = $(CXX)
197CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
198        $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
199        $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
200AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
201am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
202am__v_CXXLD_0 = @echo "  CXXLD   " $@;
203am__v_CXXLD_1 =
204COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
205        $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
206LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
207        $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
208        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
209        $(AM_CFLAGS) $(CFLAGS)
210AM_V_CC = $(am__v_CC_@AM_V@)
211am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
212am__v_CC_0 = @echo "  CC      " $@;
213am__v_CC_1 =
214CCLD = $(CC)
215LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
216        $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
217        $(AM_LDFLAGS) $(LDFLAGS) -o $@
218AM_V_CCLD = $(am__v_CCLD_@AM_V@)
219am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
220am__v_CCLD_0 = @echo "  CCLD    " $@;
221am__v_CCLD_1 =
222SOURCES = $(libicap_la_SOURCES)
223DIST_SOURCES = $(libicap_la_SOURCES)
224am__can_run_installinfo = \
225  case $$AM_UPDATE_INFO_DIR in \
226    n|no|NO) false;; \
227    *) (install-info --version) >/dev/null 2>&1;; \
228  esac
229am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
230# Read a list of newline-separated strings from the standard input,
231# and print each of them once, without duplicates.  Input order is
232# *not* preserved.
233am__uniquify_input = $(AWK) '\
234  BEGIN { nonempty = 0; } \
235  { items[$$0] = 1; nonempty = 1; } \
236  END { if (nonempty) { for (i in items) print i; }; } \
237'
238# Make sure the list of sources is unique.  This is necessary because,
239# e.g., the same source file might be shared among _SOURCES variables
240# for different programs/libraries.
241am__define_uniq_tagged_files = \
242  list='$(am__tagged_files)'; \
243  unique=`for i in $$list; do \
244    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
245  done | $(am__uniquify_input)`
246ETAGS = etags
247CTAGS = ctags
248am__tty_colors_dummy = \
249  mgn= red= grn= lgn= blu= brg= std=; \
250  am__color_tests=no
251am__tty_colors = { \
252  $(am__tty_colors_dummy); \
253  if test "X$(AM_COLOR_TESTS)" = Xno; then \
254    am__color_tests=no; \
255  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
256    am__color_tests=yes; \
257  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
258    am__color_tests=yes; \
259  fi; \
260  if test $$am__color_tests = yes; then \
261    red='[0;31m'; \
262    grn='[0;32m'; \
263    lgn='[1;32m'; \
264    blu='[1;34m'; \
265    mgn='[0;35m'; \
266    brg='[1m'; \
267    std='[m'; \
268  fi; \
269}
270am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
271am__vpath_adj = case $$p in \
272    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
273    *) f=$$p;; \
274  esac;
275am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
276am__install_max = 40
277am__nobase_strip_setup = \
278  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
279am__nobase_strip = \
280  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
281am__nobase_list = $(am__nobase_strip_setup); \
282  for p in $$list; do echo "$$p $$p"; done | \
283  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
284  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
285    if (++n[$$2] == $(am__install_max)) \
286      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
287    END { for (dir in files) print dir, files[dir] }'
288am__base_list = \
289  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
290  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
291am__uninstall_files_from_dir = { \
292  test -z "$$files" \
293    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
294    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
295         $(am__cd) "$$dir" && rm -f $$files; }; \
296  }
297am__recheck_rx = ^[     ]*:recheck:[    ]*
298am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
299am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
300# A command that, given a newline-separated list of test names on the
301# standard input, print the name of the tests that are to be re-run
302# upon "make recheck".
303am__list_recheck_tests = $(AWK) '{ \
304  recheck = 1; \
305  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
306    { \
307      if (rc < 0) \
308        { \
309          if ((getline line2 < ($$0 ".log")) < 0) \
310            recheck = 0; \
311          break; \
312        } \
313      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
314        { \
315          recheck = 0; \
316          break; \
317        } \
318      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
319        { \
320          break; \
321        } \
322    }; \
323  if (recheck) \
324    print $$0; \
325  close ($$0 ".trs"); \
326  close ($$0 ".log"); \
327}'
328# A command that, given a newline-separated list of test names on the
329# standard input, create the global log from their .trs and .log files.
330am__create_global_log = $(AWK) ' \
331function fatal(msg) \
332{ \
333  print "fatal: making $@: " msg | "cat >&2"; \
334  exit 1; \
335} \
336function rst_section(header) \
337{ \
338  print header; \
339  len = length(header); \
340  for (i = 1; i <= len; i = i + 1) \
341    printf "="; \
342  printf "\n\n"; \
343} \
344{ \
345  copy_in_global_log = 1; \
346  global_test_result = "RUN"; \
347  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
348    { \
349      if (rc < 0) \
350         fatal("failed to read from " $$0 ".trs"); \
351      if (line ~ /$(am__global_test_result_rx)/) \
352        { \
353          sub("$(am__global_test_result_rx)", "", line); \
354          sub("[        ]*$$", "", line); \
355          global_test_result = line; \
356        } \
357      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
358        copy_in_global_log = 0; \
359    }; \
360  if (copy_in_global_log) \
361    { \
362      rst_section(global_test_result ": " $$0); \
363      while ((rc = (getline line < ($$0 ".log"))) != 0) \
364      { \
365        if (rc < 0) \
366          fatal("failed to read from " $$0 ".log"); \
367        print line; \
368      }; \
369      printf "\n"; \
370    }; \
371  close ($$0 ".trs"); \
372  close ($$0 ".log"); \
373}'
374# Restructured Text title.
375am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
376# Solaris 10 'make', and several other traditional 'make' implementations,
377# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
378# by disabling -e (using the XSI extension "set +e") if it's set.
379am__sh_e_setup = case $$- in *e*) set +e;; esac
380# Default flags passed to test drivers.
381am__common_driver_flags = \
382  --color-tests "$$am__color_tests" \
383  --enable-hard-errors "$$am__enable_hard_errors" \
384  --expect-failure "$$am__expect_failure"
385# To be inserted before the command running the test.  Creates the
386# directory for the log if needed.  Stores in $dir the directory
387# containing $f, in $tst the test, in $log the log.  Executes the
388# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
389# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
390# will run the test scripts (or their associated LOG_COMPILER, if
391# thy have one).
392am__check_pre = \
393$(am__sh_e_setup);                                      \
394$(am__vpath_adj_setup) $(am__vpath_adj)                 \
395$(am__tty_colors);                                      \
396srcdir=$(srcdir); export srcdir;                        \
397case "$@" in                                            \
398  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
399    *) am__odir=.;;                                     \
400esac;                                                   \
401test "x$$am__odir" = x"." || test -d "$$am__odir"       \
402  || $(MKDIR_P) "$$am__odir" || exit $$?;               \
403if test -f "./$$f"; then dir=./;                        \
404elif test -f "$$f"; then dir=;                          \
405else dir="$(srcdir)/"; fi;                              \
406tst=$$dir$$f; log='$@';                                 \
407if test -n '$(DISABLE_HARD_ERRORS)'; then               \
408  am__enable_hard_errors=no;                            \
409else                                                    \
410  am__enable_hard_errors=yes;                           \
411fi;                                                     \
412case " $(XFAIL_TESTS) " in                              \
413  *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
414    am__expect_failure=yes;;                            \
415  *)                                                    \
416    am__expect_failure=no;;                             \
417esac;                                                   \
418$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
419# A shell command to get the names of the tests scripts with any registered
420# extension removed (i.e., equivalently, the names of the test logs, with
421# the '.log' extension removed).  The result is saved in the shell variable
422# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
423# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
424# since that might cause problem with VPATH rewrites for suffix-less tests.
425# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
426am__set_TESTS_bases = \
427  bases='$(TEST_LOGS)'; \
428  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
429  bases=`echo $$bases`
430RECHECK_LOGS = $(TEST_LOGS)
431AM_RECURSIVE_TARGETS = check recheck
432TEST_SUITE_LOG = test-suite.log
433TEST_EXTENSIONS = @EXEEXT@ .test
434LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
435LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
436am__set_b = \
437  case '$@' in \
438    */*) \
439      case '$*' in \
440        */*) b='$*';; \
441          *) b=`echo '$@' | sed 's/\.log$$//'`; \
442       esac;; \
443    *) \
444      b='$*';; \
445  esac
446am__test_logs1 = $(TESTS:=.log)
447am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
448TEST_LOGS = $(am__test_logs2:.test.log=.log)
449TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
450TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
451        $(TEST_LOG_FLAGS)
452am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/cfgaux/depcomp \
453        $(top_srcdir)/cfgaux/test-driver $(top_srcdir)/src/Common.am \
454        $(top_srcdir)/src/TestHeaders.am
455DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
456ACLOCAL = @ACLOCAL@
457ADAPTATION_LIBS = @ADAPTATION_LIBS@
458ALLOCA = @ALLOCA@
459AMTAR = @AMTAR@
460AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
461AR = @AR@
[5496]462ARGZ_H = @ARGZ_H@
[5495]463AR_R = @AR_R@
464AUTH_LIBS_TO_BUILD = @AUTH_LIBS_TO_BUILD@
465AUTH_MODULES = @AUTH_MODULES@
466AUTOCONF = @AUTOCONF@
467AUTOHEADER = @AUTOHEADER@
468AUTOMAKE = @AUTOMAKE@
469AWK = @AWK@
470BASIC_AUTH_HELPERS = @BASIC_AUTH_HELPERS@
471BUILDCXX = @BUILDCXX@
472BUILDCXXFLAGS = @BUILDCXXFLAGS@
473BZR = @BZR@
474CACHE_EFFECTIVE_USER = @CACHE_EFFECTIVE_USER@
475CC = @CC@
476CCDEPMODE = @CCDEPMODE@
477CFLAGS = @CFLAGS@
478CGIEXT = @CGIEXT@
479CHMOD = @CHMOD@
480CPP = @CPP@
481CPPFLAGS = @CPPFLAGS@
482CPPUNITCONFIG = @CPPUNITCONFIG@
483CRYPTLIB = @CRYPTLIB@
484CXX = @CXX@
485CXXCPP = @CXXCPP@
486CXXDEPMODE = @CXXDEPMODE@
487CXXFLAGS = @CXXFLAGS@
488CYGPATH_W = @CYGPATH_W@
489DEFAULT_HOSTS = @DEFAULT_HOSTS@
490DEFAULT_LOG_DIR = @DEFAULT_LOG_DIR@
491DEFAULT_PID_FILE = @DEFAULT_PID_FILE@
492DEFAULT_SWAP_DIR = @DEFAULT_SWAP_DIR@
493DEFS = @DEFS@
494DEPDIR = @DEPDIR@
495DIGEST_AUTH_HELPERS = @DIGEST_AUTH_HELPERS@
496DISK_LIBS = @DISK_LIBS@
497DISK_LINKOBJS = @DISK_LINKOBJS@
498DISK_MODULES = @DISK_MODULES@
499DISK_OS_LIBS = @DISK_OS_LIBS@
500DISK_PROGRAMS = @DISK_PROGRAMS@
501DLLTOOL = @DLLTOOL@
502DSYMUTIL = @DSYMUTIL@
503DUMPBIN = @DUMPBIN@
504ECAP_LIBS = @ECAP_LIBS@
505ECHO_C = @ECHO_C@
506ECHO_N = @ECHO_N@
507ECHO_T = @ECHO_T@
508EGREP = @EGREP@
509EPOLL_LIBS = @EPOLL_LIBS@
510EUILIB = @EUILIB@
511EXEEXT = @EXEEXT@
512EXPATLIB = @EXPATLIB@
513EXTERNAL_ACL_HELPERS = @EXTERNAL_ACL_HELPERS@
514EXT_LIBECAP_CFLAGS = @EXT_LIBECAP_CFLAGS@
515EXT_LIBECAP_LIBS = @EXT_LIBECAP_LIBS@
516FALSE = @FALSE@
517FGREP = @FGREP@
518GREP = @GREP@
519HAVE_CXX11 = @HAVE_CXX11@
520ICAP_LIBS = @ICAP_LIBS@
521INCLTDL = @INCLTDL@
522INSTALL = @INSTALL@
523INSTALL_DATA = @INSTALL_DATA@
524INSTALL_PROGRAM = @INSTALL_PROGRAM@
525INSTALL_SCRIPT = @INSTALL_SCRIPT@
526INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
527KRB5INCS = @KRB5INCS@
528KRB5LIBS = @KRB5LIBS@
529LBERLIB = @LBERLIB@
530LD = @LD@
531LDAPLIB = @LDAPLIB@
532LDFLAGS = @LDFLAGS@
533LIBADD_DL = @LIBADD_DL@
534LIBADD_DLD_LINK = @LIBADD_DLD_LINK@
535LIBADD_DLOPEN = @LIBADD_DLOPEN@
536LIBADD_SHL_LOAD = @LIBADD_SHL_LOAD@
537LIBGNUTLS_CFLAGS = @LIBGNUTLS_CFLAGS@
538LIBGNUTLS_LIBS = @LIBGNUTLS_LIBS@
539LIBLTDL = @LIBLTDL@
540LIBOBJS = @LIBOBJS@
541LIBOPENSSL_CFLAGS = @LIBOPENSSL_CFLAGS@
542LIBOPENSSL_LIBS = @LIBOPENSSL_LIBS@
543LIBS = @LIBS@
544LIBSASL = @LIBSASL@
545LIBTOOL = @LIBTOOL@
546LIB_DB = @LIB_DB@
547LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
548LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
549LINUXDOC = @LINUXDOC@
550LIPO = @LIPO@
551LN = @LN@
552LN_S = @LN_S@
553LOG_DAEMON_HELPERS = @LOG_DAEMON_HELPERS@
554LTDLDEPS = @LTDLDEPS@
555LTDLINCL = @LTDLINCL@
556LTDLOPEN = @LTDLOPEN@
557LTLIBOBJS = @LTLIBOBJS@
558LT_CONFIG_H = @LT_CONFIG_H@
559LT_DLLOADERS = @LT_DLLOADERS@
560LT_DLPREOPEN = @LT_DLPREOPEN@
561MAINT = @MAINT@
562MAKEINFO = @MAKEINFO@
563MANIFEST_TOOL = @MANIFEST_TOOL@
564MINGW_LIBS = @MINGW_LIBS@
565MKDIR = @MKDIR@
566MKDIR_P = @MKDIR_P@
567MV = @MV@
568NEGOTIATE_AUTH_HELPERS = @NEGOTIATE_AUTH_HELPERS@
569NETTLELIB = @NETTLELIB@
570NM = @NM@
571NMEDIT = @NMEDIT@
572NTLM_AUTH_HELPERS = @NTLM_AUTH_HELPERS@
573OBJDUMP = @OBJDUMP@
574OBJEXT = @OBJEXT@
575OTOOL = @OTOOL@
576OTOOL64 = @OTOOL64@
577PACKAGE = @PACKAGE@
578PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
579PACKAGE_NAME = @PACKAGE_NAME@
580PACKAGE_STRING = @PACKAGE_STRING@
581PACKAGE_TARNAME = @PACKAGE_TARNAME@
582PACKAGE_URL = @PACKAGE_URL@
583PACKAGE_VERSION = @PACKAGE_VERSION@
584PATH_SEPARATOR = @PATH_SEPARATOR@
585PERL = @PERL@
586PKG_CONFIG = @PKG_CONFIG@
587PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
588PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
589PO2HTML = @PO2HTML@
590PO2TEXT = @PO2TEXT@
591POD2MAN = @POD2MAN@
592RANLIB = @RANLIB@
593REGEXLIB = @REGEXLIB@
594REPL_LIBS = @REPL_LIBS@
595REPL_OBJS = @REPL_OBJS@
596REPL_POLICIES = @REPL_POLICIES@
597RM = @RM@
598SED = @SED@
599SET_MAKE = @SET_MAKE@
600SH = @SH@
601SHELL = @SHELL@
602SMBCLIENT = @SMBCLIENT@
603SNMPLIB = @SNMPLIB@
604SQUID_CFLAGS = @SQUID_CFLAGS@
605SQUID_CPPUNIT_INC = @SQUID_CPPUNIT_INC@
606SQUID_CPPUNIT_LA = @SQUID_CPPUNIT_LA@
607SQUID_CPPUNIT_LIBS = @SQUID_CPPUNIT_LIBS@
608SQUID_CXXFLAGS = @SQUID_CXXFLAGS@
609SSLLIB = @SSLLIB@
610STOREID_REWRITE_HELPERS = @STOREID_REWRITE_HELPERS@
611STORE_LIBS_TO_ADD = @STORE_LIBS_TO_ADD@
612STORE_LIBS_TO_BUILD = @STORE_LIBS_TO_BUILD@
613STORE_TESTS = @STORE_TESTS@
614STRIP = @STRIP@
615TR = @TR@
616TRUE = @TRUE@
617URL_REWRITE_HELPERS = @URL_REWRITE_HELPERS@
618VERSION = @VERSION@
619WBINFO = @WBINFO@
620WIN32_PSAPI = @WIN32_PSAPI@
621XMLLIB = @XMLLIB@
622XTRA_LIBS = @XTRA_LIBS@
623XTRA_OBJS = @XTRA_OBJS@
624abs_builddir = @abs_builddir@
625abs_srcdir = @abs_srcdir@
626abs_top_builddir = @abs_top_builddir@
627abs_top_srcdir = @abs_top_srcdir@
628ac_ct_AR = @ac_ct_AR@
629ac_ct_CC = @ac_ct_CC@
630ac_ct_CXX = @ac_ct_CXX@
631ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
632am__include = @am__include@
633am__leading_dot = @am__leading_dot@
634am__quote = @am__quote@
635am__tar = @am__tar@
636am__untar = @am__untar@
637bindir = @bindir@
638build = @build@
639build_alias = @build_alias@
640build_cpu = @build_cpu@
641build_os = @build_os@
642build_vendor = @build_vendor@
643builddir = @builddir@
644datadir = @datadir@
645datarootdir = @datarootdir@
646docdir = @docdir@
647dvidir = @dvidir@
648exec_prefix = @exec_prefix@
649host = @host@
650host_alias = @host_alias@
651host_cpu = @host_cpu@
652host_os = @host_os@
653host_vendor = @host_vendor@
654htmldir = @htmldir@
655includedir = @includedir@
656infodir = @infodir@
657install_sh = @install_sh@
658krb5_config = @krb5_config@
659libdir = @libdir@
660libexecdir = @libexecdir@
661localedir = @localedir@
662localstatedir = @localstatedir@
663ltdl_LIBOBJS = @ltdl_LIBOBJS@
664ltdl_LTLIBOBJS = @ltdl_LTLIBOBJS@
665mandir = @mandir@
666mkdir_p = @mkdir_p@
667oldincludedir = @oldincludedir@
668pdfdir = @pdfdir@
669prefix = @prefix@
670program_transform_name = @program_transform_name@
671psdir = @psdir@
672runstatedir = @runstatedir@
673sbindir = @sbindir@
674sharedstatedir = @sharedstatedir@
675srcdir = @srcdir@
676subdirs = @subdirs@
677sys_symbol_underscore = @sys_symbol_underscore@
678sysconfdir = @sysconfdir@
679target_alias = @target_alias@
680top_build_prefix = @top_build_prefix@
681top_builddir = @top_builddir@
682top_srcdir = @top_srcdir@
683AM_CFLAGS = $(SQUID_CFLAGS)
684AM_CXXFLAGS = $(SQUID_CXXFLAGS)
685CLEANFILES = testHeaders
686TESTS = testHeaders
687AM_CPPFLAGS = -I$(top_srcdir) -I$(top_srcdir)/include \
688        -I$(top_srcdir)/lib -I$(top_srcdir)/src \
689        -I$(top_builddir)/include $(SQUID_CPPUNIT_INC) $(KRB5INCS) \
690        $(am__append_1)
691@ENABLE_XPROF_STATS_FALSE@LIBPROFILER =
692@ENABLE_XPROF_STATS_TRUE@LIBPROFILER = $(top_builddir)/lib/profiler/libprofiler.la
693COMPAT_LIB = $(top_builddir)/compat/libcompat-squid.la $(LIBPROFILER)
694subst_perlshell = sed -e 's,[@]PERL[@],$(PERL),g' <$(srcdir)/$@.pl.in >$@ || ($(RM) -f $@ ; exit 1)
695noinst_LTLIBRARIES = libicap.la
696libicap_la_SOURCES = \
697        Client.cc \
698        Client.h \
699        InOut.h \
700        Config.cc \
701        Config.h \
702        Elements.cc \
703        Elements.h \
704        Options.cc \
705        Options.h \
706        ServiceRep.cc \
707        ServiceRep.h \
708        Launcher.cc \
709        Launcher.h \
710        OptXact.cc \
711        OptXact.h \
712        Xaction.cc \
713        Xaction.h \
714        ModXact.cc \
715        ModXact.h \
716        icap_log.cc \
717        icap_log.h \
718        History.cc \
719        History.h
720
721all: all-am
722
723.SUFFIXES:
724.SUFFIXES: .cc .lo .log .o .obj .test .test$(EXEEXT) .trs
725$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/src/Common.am $(top_srcdir)/src/TestHeaders.am $(am__configure_deps)
726        @for dep in $?; do \
727          case '$(am__configure_deps)' in \
728            *$$dep*) \
729              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
730                && { if test -f $@; then exit 0; else break; fi; }; \
731              exit 1;; \
732          esac; \
733        done; \
[5496]734        echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign src/adaptation/icap/Makefile'; \
[5495]735        $(am__cd) $(top_srcdir) && \
[5496]736          $(AUTOMAKE) --foreign src/adaptation/icap/Makefile
[5495]737Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
738        @case '$?' in \
739          *config.status*) \
740            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
741          *) \
742            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
743            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
744        esac;
745$(top_srcdir)/src/Common.am $(top_srcdir)/src/TestHeaders.am $(am__empty):
746
747$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
748        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
749
750$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
751        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
752$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
753        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
754$(am__aclocal_m4_deps):
755
756clean-noinstLTLIBRARIES:
757        -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
758        @list='$(noinst_LTLIBRARIES)'; \
759        locs=`for p in $$list; do echo $$p; done | \
760              sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
761              sort -u`; \
762        test -z "$$locs" || { \
763          echo rm -f $${locs}; \
764          rm -f $${locs}; \
765        }
766
767libicap.la: $(libicap_la_OBJECTS) $(libicap_la_DEPENDENCIES) $(EXTRA_libicap_la_DEPENDENCIES)
768        $(AM_V_CXXLD)$(CXXLINK)  $(libicap_la_OBJECTS) $(libicap_la_LIBADD) $(LIBS)
769
770clean-checkPROGRAMS:
771        @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
772        echo " rm -f" $$list; \
773        rm -f $$list || exit $$?; \
774        test -n "$(EXEEXT)" || exit 0; \
775        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
776        echo " rm -f" $$list; \
777        rm -f $$list
778
779mostlyclean-compile:
780        -rm -f *.$(OBJEXT)
781
782distclean-compile:
783        -rm -f *.tab.c
784
785@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Client.Plo@am__quote@
786@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Config.Plo@am__quote@
787@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Elements.Plo@am__quote@
788@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/History.Plo@am__quote@
789@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Launcher.Plo@am__quote@
790@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ModXact.Plo@am__quote@
791@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/OptXact.Plo@am__quote@
792@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Options.Plo@am__quote@
793@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ServiceRep.Plo@am__quote@
794@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Xaction.Plo@am__quote@
795@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/icap_log.Plo@am__quote@
796
797.cc.o:
798@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
799@am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
800@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
801@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
802@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
803@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
804
805.cc.obj:
806@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
807@am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
808@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
809@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
810@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
811@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
812
813.cc.lo:
814@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
815@am__fastdepCXX_TRUE@   $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
816@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Plo
817@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
818@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
819@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
820
821mostlyclean-libtool:
822        -rm -f *.lo
823
824clean-libtool:
825        -rm -rf .libs _libs
826
827ID: $(am__tagged_files)
828        $(am__define_uniq_tagged_files); mkid -fID $$unique
829tags: tags-am
830TAGS: tags
831
832tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
833        set x; \
834        here=`pwd`; \
835        $(am__define_uniq_tagged_files); \
836        shift; \
837        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
838          test -n "$$unique" || unique=$$empty_fix; \
839          if test $$# -gt 0; then \
840            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
841              "$$@" $$unique; \
842          else \
843            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
844              $$unique; \
845          fi; \
846        fi
847ctags: ctags-am
848
849CTAGS: ctags
850ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
851        $(am__define_uniq_tagged_files); \
852        test -z "$(CTAGS_ARGS)$$unique" \
853          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
854             $$unique
855
856GTAGS:
857        here=`$(am__cd) $(top_builddir) && pwd` \
858          && $(am__cd) $(top_srcdir) \
859          && gtags -i $(GTAGS_ARGS) "$$here"
860cscopelist: cscopelist-am
861
862cscopelist-am: $(am__tagged_files)
863        list='$(am__tagged_files)'; \
864        case "$(srcdir)" in \
865          [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
866          *) sdir=$(subdir)/$(srcdir) ;; \
867        esac; \
868        for i in $$list; do \
869          if test -f "$$i"; then \
870            echo "$(subdir)/$$i"; \
871          else \
872            echo "$$sdir/$$i"; \
873          fi; \
874        done >> $(top_builddir)/cscope.files
875
876distclean-tags:
877        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
878
879# Recover from deleted '.trs' file; this should ensure that
880# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
881# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
882# to avoid problems with "make -n".
883.log.trs:
884        rm -f $< $@
885        $(MAKE) $(AM_MAKEFLAGS) $<
886
887# Leading 'am--fnord' is there to ensure the list of targets does not
888# expand to empty, as could happen e.g. with make check TESTS=''.
889am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
890am--force-recheck:
891        @:
892
893$(TEST_SUITE_LOG): $(TEST_LOGS)
894        @$(am__set_TESTS_bases); \
895        am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
896        redo_bases=`for i in $$bases; do \
897                      am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
898                    done`; \
899        if test -n "$$redo_bases"; then \
900          redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
901          redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
902          if $(am__make_dryrun); then :; else \
903            rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
904          fi; \
905        fi; \
906        if test -n "$$am__remaking_logs"; then \
907          echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
908               "recursion detected" >&2; \
909        elif test -n "$$redo_logs"; then \
910          am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
911        fi; \
912        if $(am__make_dryrun); then :; else \
913          st=0;  \
914          errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
915          for i in $$redo_bases; do \
916            test -f $$i.trs && test -r $$i.trs \
917              || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
918            test -f $$i.log && test -r $$i.log \
919              || { echo "$$errmsg $$i.log" >&2; st=1; }; \
920          done; \
921          test $$st -eq 0 || exit 1; \
922        fi
923        @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
924        ws='[   ]'; \
925        results=`for b in $$bases; do echo $$b.trs; done`; \
926        test -n "$$results" || results=/dev/null; \
927        all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
928        pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
929        fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
930        skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
931        xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
932        xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
933        error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
934        if test `expr $$fail + $$xpass + $$error` -eq 0; then \
935          success=true; \
936        else \
937          success=false; \
938        fi; \
939        br='==================='; br=$$br$$br$$br$$br; \
940        result_count () \
941        { \
942            if test x"$$1" = x"--maybe-color"; then \
943              maybe_colorize=yes; \
944            elif test x"$$1" = x"--no-color"; then \
945              maybe_colorize=no; \
946            else \
947              echo "$@: invalid 'result_count' usage" >&2; exit 4; \
948            fi; \
949            shift; \
950            desc=$$1 count=$$2; \
951            if test $$maybe_colorize = yes && test $$count -gt 0; then \
952              color_start=$$3 color_end=$$std; \
953            else \
954              color_start= color_end=; \
955            fi; \
956            echo "$${color_start}# $$desc $$count$${color_end}"; \
957        }; \
958        create_testsuite_report () \
959        { \
960          result_count $$1 "TOTAL:" $$all   "$$brg"; \
961          result_count $$1 "PASS: " $$pass  "$$grn"; \
962          result_count $$1 "SKIP: " $$skip  "$$blu"; \
963          result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
964          result_count $$1 "FAIL: " $$fail  "$$red"; \
965          result_count $$1 "XPASS:" $$xpass "$$red"; \
966          result_count $$1 "ERROR:" $$error "$$mgn"; \
967        }; \
968        {                                                               \
969          echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
970            $(am__rst_title);                                           \
971          create_testsuite_report --no-color;                           \
972          echo;                                                         \
973          echo ".. contents:: :depth: 2";                               \
974          echo;                                                         \
975          for b in $$bases; do echo $$b; done                           \
976            | $(am__create_global_log);                                 \
977        } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
978        mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
979        if $$success; then                                              \
980          col="$$grn";                                                  \
981         else                                                           \
982          col="$$red";                                                  \
983          test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
984        fi;                                                             \
985        echo "$${col}$$br$${std}";                                      \
986        echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
987        echo "$${col}$$br$${std}";                                      \
988        create_testsuite_report --maybe-color;                          \
989        echo "$$col$$br$$std";                                          \
990        if $$success; then :; else                                      \
991          echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
992          if test -n "$(PACKAGE_BUGREPORT)"; then                       \
993            echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
994          fi;                                                           \
995          echo "$$col$$br$$std";                                        \
996        fi;                                                             \
997        $$success || exit 1
998
999check-TESTS:
1000        @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
1001        @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
1002        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1003        @set +e; $(am__set_TESTS_bases); \
1004        log_list=`for i in $$bases; do echo $$i.log; done`; \
1005        trs_list=`for i in $$bases; do echo $$i.trs; done`; \
1006        log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
1007        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
1008        exit $$?;
1009recheck: all $(check_PROGRAMS)
1010        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1011        @set +e; $(am__set_TESTS_bases); \
1012        bases=`for i in $$bases; do echo $$i; done \
1013                 | $(am__list_recheck_tests)` || exit 1; \
1014        log_list=`for i in $$bases; do echo $$i.log; done`; \
1015        log_list=`echo $$log_list`; \
1016        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1017                am__force_recheck=am--force-recheck \
1018                TEST_LOGS="$$log_list"; \
1019        exit $$?
1020testHeaders.log: testHeaders
1021        @p='testHeaders'; \
1022        b='testHeaders'; \
1023        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1024        --log-file $$b.log --trs-file $$b.trs \
1025        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1026        "$$tst" $(AM_TESTS_FD_REDIRECT)
1027.test.log:
1028        @p='$<'; \
1029        $(am__set_b); \
1030        $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1031        --log-file $$b.log --trs-file $$b.trs \
1032        $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1033        "$$tst" $(AM_TESTS_FD_REDIRECT)
1034@am__EXEEXT_TRUE@.test$(EXEEXT).log:
1035@am__EXEEXT_TRUE@       @p='$<'; \
1036@am__EXEEXT_TRUE@       $(am__set_b); \
1037@am__EXEEXT_TRUE@       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1038@am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
1039@am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1040@am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
1041
1042distdir: $(DISTFILES)
1043        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1044        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1045        list='$(DISTFILES)'; \
1046          dist_files=`for file in $$list; do echo $$file; done | \
1047          sed -e "s|^$$srcdirstrip/||;t" \
1048              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1049        case $$dist_files in \
1050          */*) $(MKDIR_P) `echo "$$dist_files" | \
1051                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1052                           sort -u` ;; \
1053        esac; \
1054        for file in $$dist_files; do \
1055          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1056          if test -d $$d/$$file; then \
1057            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1058            if test -d "$(distdir)/$$file"; then \
1059              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1060            fi; \
1061            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1062              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1063              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1064            fi; \
1065            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1066          else \
1067            test -f "$(distdir)/$$file" \
1068            || cp -p $$d/$$file "$(distdir)/$$file" \
1069            || exit 1; \
1070          fi; \
1071        done
1072check-am: all-am
1073        $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1074        $(MAKE) $(AM_MAKEFLAGS) check-TESTS
1075check: check-am
1076all-am: Makefile $(LTLIBRARIES)
1077installdirs:
1078install: install-am
1079install-exec: install-exec-am
1080install-data: install-data-am
1081uninstall: uninstall-am
1082
1083install-am: all-am
1084        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1085
1086installcheck: installcheck-am
1087install-strip:
1088        if test -z '$(STRIP)'; then \
1089          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1090            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1091              install; \
1092        else \
1093          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1094            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1095            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1096        fi
1097mostlyclean-generic:
1098        -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1099        -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1100        -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1101
1102clean-generic:
1103        -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1104
1105distclean-generic:
1106        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1107        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1108
1109maintainer-clean-generic:
1110        @echo "This command is intended for maintainers to use"
1111        @echo "it deletes files that may require special tools to rebuild."
1112clean: clean-am
1113
1114clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
1115        clean-noinstLTLIBRARIES mostlyclean-am
1116
1117distclean: distclean-am
1118        -rm -rf ./$(DEPDIR)
1119        -rm -f Makefile
1120distclean-am: clean-am distclean-compile distclean-generic \
1121        distclean-tags
1122
1123dvi: dvi-am
1124
1125dvi-am:
1126
1127html: html-am
1128
1129html-am:
1130
1131info: info-am
1132
1133info-am:
1134
1135install-data-am:
1136
1137install-dvi: install-dvi-am
1138
1139install-dvi-am:
1140
1141install-exec-am:
1142
1143install-html: install-html-am
1144
1145install-html-am:
1146
1147install-info: install-info-am
1148
1149install-info-am:
1150
1151install-man:
1152
1153install-pdf: install-pdf-am
1154
1155install-pdf-am:
1156
1157install-ps: install-ps-am
1158
1159install-ps-am:
1160
1161installcheck-am:
1162
1163maintainer-clean: maintainer-clean-am
1164        -rm -rf ./$(DEPDIR)
1165        -rm -f Makefile
1166maintainer-clean-am: distclean-am maintainer-clean-generic
1167
1168mostlyclean: mostlyclean-am
1169
1170mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1171        mostlyclean-libtool
1172
1173pdf: pdf-am
1174
1175pdf-am:
1176
1177ps: ps-am
1178
1179ps-am:
1180
1181uninstall-am:
1182
1183.MAKE: check-am install-am install-strip
1184
1185.PHONY: CTAGS GTAGS TAGS all all-am check check-TESTS check-am clean \
1186        clean-checkPROGRAMS clean-generic clean-libtool \
1187        clean-noinstLTLIBRARIES cscopelist-am ctags ctags-am distclean \
1188        distclean-compile distclean-generic distclean-libtool \
1189        distclean-tags distdir dvi dvi-am html html-am info info-am \
1190        install install-am install-data install-data-am install-dvi \
1191        install-dvi-am install-exec install-exec-am install-html \
1192        install-html-am install-info install-info-am install-man \
1193        install-pdf install-pdf-am install-ps install-ps-am \
1194        install-strip installcheck installcheck-am installdirs \
1195        maintainer-clean maintainer-clean-generic mostlyclean \
1196        mostlyclean-compile mostlyclean-generic mostlyclean-libtool \
1197        pdf pdf-am ps ps-am recheck tags tags-am uninstall \
1198        uninstall-am
1199
1200.PRECIOUS: Makefile
1201
1202
1203$(OBJS): $(top_srcdir)/include/version.h $(top_builddir)/include/autoconf.h
1204
1205testHeaders: $(srcdir)/*.h
1206        $(SHELL) $(top_srcdir)/test-suite/testheaders.sh "$(CXXCOMPILE)" $^ || exit 1
1207
1208.PHONY: testHeaders
1209
1210# Tell versions [3.59,3.63) of GNU make to not export all variables.
1211# Otherwise a system limit (for SysV at least) may be exceeded.
1212.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.